2DMIRROR: possible to change standard option NO to YES on deleting original entities?

Topic-title says it all I guess. Is it possible to change the standard value NO to YES with the 2DMIRROR command? I use the command a lot and when using it the purpose is to mirror the entity without keeping the original.

Comments

  • There is a way to write a new LISP routine, and redefine how the Mirror command works. Though, in general, this is not a good idea, as it may break how other custom programs work, since they are expecting the default behavior. You might alternatively create a totally new command, perhaps called "MY" for Mirror Yes.

    It may alternatively be done as an icon, with a piece of script associated with it. I think there is a way, in the script language, to allow the routine to pause for the user to select objects, before it proceeds. But, I don't recall how that works.

    It might look something like,
    ^c^cMirror; (something to allow the user to choose object and then the line to mirror about) ;Y;

    Perhaps someone else will chime in to finish what I started above.
    -Joe

  • Anthony Apostolaros
    edited October 2019

    Here's a custom command that just flips a selection set. I use it a lot, especially with mtext/leader pairs.

    There's no Y or N option. You just pick a single point, and that determines whether to flip the selection horizontally or vertically.
    (defun c:Flip ( / ss1 *error*) (setq ss1 (ssget)) (sssetfirst nil ss1) (setq p1 (trans (apply 'acet-geom-mid-point (vle-getboundingbox ss1)) 0 1)) (setq om1 (getvar "Orthomode")) (defun *error* (msg) (setvar "Orthomode" om1) (SelP) (princ msg) (princ) ) (setvar "Orthomode" 1) (command "Mirror" ss1 "" p1 pause "y") (setvar "Orthomode" om1) )

    You can also use it to mirror about a different axis, if you have an osnap point that can serve as the end point of that axis. The start point of the axis is always the centroid of the selection set. The end point of the axis is normally forced to be either horizontal or vertical from the start point, due to automatic orthomode; but object snap overrides that.

  • Louis_Verdonck
    edited October 2019

    Why not use the manipulator: see movie in attachment. Default mirroring is without keeping the original (copy). Press the Ctrl-key before starting the mirror action to keep the original.
    See https://help.bricsys.com/hc/en-us/articles/360006709293-Manipulate to learn more about the Manipulator.

  • Thanx for all the replies! I'm gonna look into the manipulator...

Sign In or Register to comment.

Howdy, Stranger!

It looks like you're new here. Click one of the buttons on the top bar to get involved!